#ifndef XSURFACEVERTEXINFO_H
#define XSURFACEVERTEXINFO_H

#include "xasset.h"

class XSurfaceVertexInfo : public XAsset
{
public:
    explicit XSurfaceVertexInfo();

    void ParseData(QDataStream *aStream) override;
    void Clear() override;

private:
    qint16 mVertCount[4];
    qint32 mVertsBlendPtr;
    quint16 mVertsBlend;
};

#endif // XSURFACEVERTEXINFO_H
